# PostDefendTerrainChangeAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostDefendTerrainChangeAbAttr

#### Hierarchy (view full)

- PostDefendAbAttr
  - PostDefendTerrainChangeAbAttr

- Defined in src/data/ability.ts:747

#####
Index

### Constructors

constructor

### Properties

showAbility
terrainType

### Methods

addCondition
apply
applyPostDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostDefendTerrainChangeAbAttr(terrainType): PostDefendTerrainChangeAbAttr

- #### Parameters

  - terrainType: TerrainType

  #### Returns PostDefendTerrainChangeAbAttr

  Overrides PostDefendAbAttr.constructor

  - Defined in src/data/ability.ts:750

## Properties

### showAbility

showAbility: boolean

Inherited from PostDefendAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` terrainType

terrainType: TerrainType

- Defined in src/data/ability.ts:748

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostDefendAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:756

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137